Bug 1120385 (CVE-2014-4243)

Summary: CVE-2014-4243 mysql: unspecified vulnerability related to ENFED (CPU July 2014)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abaron, aortega, apevec, ayoung, byte, chrisw, dallan, databases-maint, gkotton, gmollett, hhorak, jdornak, jorton, jstanek, lhh, lpeer, markmc, mmaslano, mmuzila, rbryant, rohara, sashaikh, sclewis, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-19 00:11:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1120390, 1120391    
Bug Blocks: 1120389    

Description Vincent Danen 2014-07-16 19:51:44 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: ENFED). Supported versions that are affected are 5.5.35 and earlier and 5.6.15 and earlier. Difficult to exploit vulnerability allows successful network attacks via multiple protocols, requiring multiple authentications. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 


External References:

http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html#AppendixMSQL

Comment 1 Vincent Danen 2014-07-16 19:57:20 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1120391]

Comment 2 Vincent Danen 2014-07-16 19:57:21 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1120390]

Comment 3 Huzaifa S. Sidhpurwala 2014-07-22 08:35:53 UTC
Statement:

This issue affects the version of mysql55-mysql	as shipped with Red Hat Enterprise Linux 5 and the version of mariadb as shipped with Red Hat Enterprise Linux 7. This issue affects the version of mysql55-mysql and mariadb55-mariadb as shipped with Red Hat Software Collections 1. 

The Red Hat Security Response Team has rated this issue as having Low security
impact, a future update may address this flaw.

Comment 4 Tomas Hoger 2014-07-28 08:57:11 UTC
ENFED seems to be an abbreviation for Federated storage engine, which is non-default storage engine.

Comment 5 Vincent Danen 2014-09-30 21:29:38 UTC
Based on timing, it looks like 5.5.39 should fix this, but it's impossible to know for sure as the release notes don't indicate security fixes or reference any CVEs:

http://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-39.html

Of course, based on the description this might be fixed in 5.5.37 (what we currently ship) -- without more/clearer information from Oracle it is difficult to say.

Comment 6 errata-xmlrpc 2014-11-17 09:45:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1859 https://rhn.redhat.com/errata/RHSA-2014-1859.html

Comment 7 errata-xmlrpc 2014-11-17 09:56:28 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1862 https://rhn.redhat.com/errata/RHSA-2014-1862.html

Comment 8 errata-xmlrpc 2014-11-17 09:57:45 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS

Via RHSA-2014:1860 https://rhn.redhat.com/errata/RHSA-2014-1860.html

Comment 9 errata-xmlrpc 2014-11-17 11:07:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1861 https://rhn.redhat.com/errata/RHSA-2014-1861.html